using System.Collections.Generic;

namespace BlueCrest.Prism.Common.UI.Ribbon.Entities
{
    public class RibbonGroupEntity
    {
        public string GroupName { get; set; }

        public List<RibbonItem> RibbonItems { get; set; }

        public RibbonGroupEntity()
        {
            RibbonItems = new List<RibbonItem>();
        }

        public RibbonGroupEntity(string groupName) : this()
        {
            GroupName = groupName;
        }

        public RibbonGroupEntity AddItem(RibbonItem item)
        {
            RibbonItems.Add(item);
            return this;
        }
    }
}