﻿using System.Collections.Generic;

namespace BlueCrest.Prism.Common.UI.Ribbon.Entities
{
    public class RibbonTabEntity
    {
        public string TabName { get; set; }

        public List<RibbonGroupEntity> RibbonGroups { get; set; }

        public RibbonTabEntity()
        {
            RibbonGroups = new List<RibbonGroupEntity>();
        }

        public RibbonTabEntity(string name) : this()
        {
            TabName = name;
        }
        
        public RibbonTabEntity AddGroup(RibbonGroupEntity entity)
        {
            RibbonGroups.Add(entity);
            return this;
        }


    }

    public enum RibbonItemType
    {
        Button,
    }
}
